<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * This class overrides Kohana's DB
 *
 * @package    OSB
 * @category   Modifications
 * @author     Deon George
 * @copyright  (c) 2009-2013 Open Source Billing
 * @license    http://dev.osbill.net/license.html
 */
class DB extends Kohana_DB {
	// Add the site_id to the delete query
	public static function delete($table = NULL)
	{
		$db = new Database_Query_Builder_Delete($table);

		if (! in_array($table,ORM::$no_site_id_tables))
			return $db->where($table.'.site_id','=',Company::instance()->site());
		else
			return $db;
	}

	// Add the site_id to the update query
	final public static function update($table = NULL)
	{
		$db = new Database_Query_Builder_Update($table);

		if (! in_array($table,ORM::$no_site_id_tables))
			return $db->where($table.'.site_id','=',Company::instance()->site());
		else
			return $db;
	}
}
?>
